Subject: [Ietf-languages] Forms to correct errors in registry

From: "Doug Ewell" <[email-masked]>
Date: Wed, 30 Jan 2019 16:59:19 -0700

Below are proposed records and registration forms to correct the errors
in the Language Subtag Registry as described in
https://mailarchive.ietf.org/arch/msg/ietf-languages/_uxUBEppvHL1Xkq1JKWb2lpk_Fo
. The review period for these change requests ends on Thursday, February
14 AoE.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2019-xx-xx
%%
Type: extlang
Subtag: lsg
Description: Lyons Sign Language
Added: 2009-07-29
Deprecated: 2018-03-08
Preferred-Value: lsg
Prefix: sgn
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org
3. Record Requested:

Type: extlang
Subtag: lsg
Description: Lyons Sign Language
Deprecated: 2018-03-08
Preferred-Value: lsg
Prefix: sgn

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration corrects an error made on 2018-03-08 to the
registration of extended language subtag 'lsg'. In deprecating the
subtag, the Preferred-Value was removed. According to RFC 5646, Section
2.2.2, item 3, "Extended language subtag records MUST include a
'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be
identical." This registration restores the Preferred-Value.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2019-xx-xx
%%
Type: extlang
Subtag: rsi
Description: Rennellese Sign Language
Added: 2009-07-29
Deprecated: 2017-02-23
Preferred-Value: rsi
Prefix: sgn
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org
3. Record Requested:

Type: extlang
Subtag: rsi
Description: Rennellese Sign Language
Deprecated: 2017-02-23
Preferred-Value: rsi
Prefix: sgn

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration corrects an error made on 2017-02-23 to the
registration of extended language subtag 'rsi'. In deprecating the
subtag, the Preferred-Value was removed. According to RFC 5646, Section
2.2.2, item 3, "Extended language subtag records MUST include a
'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be
identical." This registration restores the Preferred-Value.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2019-xx-xx
%%
Type: extlang
Subtag: yds
Description: Yiddish Sign Language
Added: 2009-07-29
Deprecated: 2015-02-12
Preferred-Value: yds
Prefix: sgn
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org
3. Record Requested:

Type: extlang
Subtag: yds
Description: Yiddish Sign Language
Deprecated: 2015-02-12
Preferred-Value: yds
Prefix: sgn

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration corrects an error made on 2015-02-12 to the
registration of extended language subtag 'yds'. In deprecating the
subtag, the Preferred-Value was removed. According to RFC 5646, Section
2.2.2, item 3, "Extended language subtag records MUST include a
'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be
identical." This registration restores the Preferred-Value.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2019-xx-xx
%%
Type: variant
Subtag: arevela
Description: Eastern Armenian
Added: 2006-09-18
Deprecated: 2018-03-24
Prefix: hy
Comments: Preferred tag is hy
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org
3. Record Requested:

Type: variant
Subtag: arevela
Description: Eastern Armenian
Deprecated: 2018-03-24
Prefix: hy
Comments: Preferred tag is hy

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration corrects an error made on 2018-03-24 to the
registration of variant subtag 'arevela'. In deprecating the subtag, a
Preferred-Value was created that consisted of the language subtag 'hy'.
According to RFC 5646, Section 3.1.2, "For fields of type 'script',
'region', or 'variant', 'Preferred-Value' contains the subtag of the
same type that is preferred for forming the language tag." Thus a
variant subtag cannot have a language subtag as its Preferred-Value.
This registration removes the invalid Preferred-Value and adds a
Comments field to aid the user in selecting the correct tag.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2019-xx-xx
%%
Type: variant
Subtag: arevmda
Description: Western Armenian
Added: 2006-09-18
Deprecated: 2018-03-24
Prefix: hy
Comments: Preferred tag is hyw
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org
3. Record Requested:

Type: variant
Subtag: arevmda
Description: Western Armenian
Deprecated: 2018-03-24
Prefix: hy
Comments: Preferred tag is hyw

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration corrects an error made on 2018-03-24 to the
registration of variant subtag 'arevmda'. In deprecating the subtag, a
Preferred-Value was created that consisted of the language subtag 'hyw'.
According to RFC 5646, Section 3.1.2, "For fields of type 'script',
'region', or 'variant', 'Preferred-Value' contains the subtag of the
same type that is preferred for forming the language tag." Thus a
variant subtag cannot have a language subtag as its Preferred-Value.
This registration removes the invalid Preferred-Value and adds a
Comments field to aid the user in selecting the correct tag.

--
Doug Ewell | Thornton, CO, US | ewellic.org

---

From: Shawn Steele <[email-masked]>
Date: Thu, 31 Jan 2019 00:06:16 +0000

I'm unfamiliar with this convention.  Does that mean sgn-lsg?  I'm not sure many systems expect codes in that form.

-----Original Message-----
From: Ietf-languages <[email-masked]> On Behalf Of Doug Ewell
Sent: Wednesday, January 30, 2019 3:59 PM
To: ietf-languages <[email-masked]>
Subject: [Ietf-languages] Forms to correct errors in registry

Below are proposed records and registration forms to correct the errors in the Language Subtag Registry as described in https://mailarchive.ietf.org/arch/msg/ietf-languages/_uxUBEppvHL1Xkq1JKWb2lpk_Fo
.. The review period for these change requests ends on Thursday, February
14 AoE.

---

---

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org 3. Record Requested:

Type: extlang
Subtag: lsg

This registration corrects an error made on 2018-03-08 to the registration of extended language subtag 'lsg'. In deprecating the subtag, the Preferred-Value was removed. According to RFC 5646, Section 2.2.2, item 3, "Extended language subtag records MUST include a 'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be identical." This registration restores the Preferred-Value.

---

---

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org 3. Record Requested:

Type: extlang
Subtag: rsi

This registration corrects an error made on 2017-02-23 to the registration of extended language subtag 'rsi'. In deprecating the subtag, the Preferred-Value was removed. According to RFC 5646, Section 2.2.2, item 3, "Extended language subtag records MUST include a 'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be identical." This registration restores the Preferred-Value.

---

---

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org 3. Record Requested:

Type: extlang
Subtag: yds

This registration corrects an error made on 2015-02-12 to the registration of extended language subtag 'yds'. In deprecating the subtag, the Preferred-Value was removed. According to RFC 5646, Section 2.2.2, item 3, "Extended language subtag records MUST include a 'Preferred-Value'. The 'Preferred-Value' and 'Subtag' fields MUST be identical." This registration restores the Preferred-Value.

---

---

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org 3. Record Requested:

Type: variant
Subtag: arevela

This registration corrects an error made on 2018-03-24 to the registration of variant subtag 'arevela'. In deprecating the subtag, a Preferred-Value was created that consisted of the language subtag 'hy'.
According to RFC 5646, Section 3.1.2, "For fields of type 'script', 'region', or 'variant', 'Preferred-Value' contains the subtag of the same type that is preferred for forming the language tag." Thus a variant subtag cannot have a language subtag as its Preferred-Value.
This registration removes the invalid Preferred-Value and adds a Comments field to aid the user in selecting the correct tag.

---

---

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org 3. Record Requested:

Type: variant
Subtag: arevmda

This registration corrects an error made on 2018-03-24 to the registration of variant subtag 'arevmda'. In deprecating the subtag, a Preferred-Value was created that consisted of the language subtag 'hyw'.
According to RFC 5646, Section 3.1.2, "For fields of type 'script', 'region', or 'variant', 'Preferred-Value' contains the subtag of the same type that is preferred for forming the language tag." Thus a variant subtag cannot have a language subtag as its Preferred-Value.
This registration removes the invalid Preferred-Value and adds a Comments field to aid the user in selecting the correct tag.

_______________________________________________
Ietf-languages mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-languages